- [HTTP request](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#body.request_body)
- [Response body](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#body.aspect)
- [Try it!](https://docs.cloud.google.com/apigee/docs/reference/apis/apigee/rest/v1/organizations.environments/get.md.txt#try-it)

Gets environment details.

### HTTP request

`GET https://apigee.googleapis.com/v1/{name=organizations/*/environments/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the environment. Use the following structure in your request: `organizations/{org}/environments/{env}` Authorization requires the following [IAM](https://cloud.google.com/iam/docs/) permission on the specified resource `name`: - `apigee.environments.get` |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `Environment`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`